## kconfig 5.3.0

=== debian/changelog ===
kconfig (5.3.0-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * Do not build depend on qt5-default, we only need qtbase5-dev

  [ Jonathan Riddell ]
  * New upstream release

  [ Harald Sitter ]
  * Add lintian overrides for missing manpages.
    - We do not really care about those

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 07 Oct 2014 11:20:13 +0100

kconfig (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:43:58 +0200

kconfig (5.1.0-0ubuntu1) utopic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:13:53 +0200

kconfig (5.0.0-0ubuntu3) utopic; urgency=medium

  * Tests are run with autopkgtest

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 11 Jul 2014 17:06:22 +0200

kconfig (5.0.0-0ubuntu2) utopic; urgency=medium

  * Fix autopkg testsuite

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 10 Jul 2014 12:06:38 +0200

kconfig (5.0.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial stable upstream release
  * Change copyright to match upstream 

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 09 Jul 2014 15:25:32 +0200
