=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.8.0),
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 5.15.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qtbase5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kconfig
@@ -19,10 +19,12 @@
 Package: libkf5config-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5configcore5 (= ${binary:Version}),
+Multi-Arch: same
+Depends: libkf5config-bin (= ${binary:Version}),
+         libkf5config-bin-dev (= ${binary:Version}),
+         libkf5configcore5 (= ${binary:Version}),
          libkf5configgui5 (= ${binary:Version}),
-         libkf5config-bin (= ${binary:Version}),
-         qtbase5-dev,
+         qtbase5-dev (>= 5.4),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: configuration settings framework for Qt
@@ -45,6 +47,34 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
+
+Package: libkf5config-bin-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: foreign
+Breaks: libkf5config-dev (<< 5.10+git20150714)
+Replaces: libkf5config-dev (<< 5.10+git20150714)
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: configuration settings framework for Qt -- binary package
+ KConfig provides an advanced configuration system. It is made of two
+ parts: KConfigCore and KConfigGui.
+ .
+ KConfigCore provides access to the configuration files themselves. It
+ features:
+ .
+  - centralized definition: define your configuration in an XML file
+  and use `kconfig_compiler` to generate classes to read and write
+  configuration entries.
+  - lock-down (kiosk) support.
+ .
+ KConfigGui provides a way to hook widgets to the configuration so
+ that they are automatically initialized from the configuration and
+ automatically propagate their changes to their respective
+ configuration files.
+ .
+ This package is part of KDE Frameworks 5.
+ .
+ This package contains the binary files for the libkf5config-dev package.
 
 Package: libkf5configgui5
 Architecture: any
@@ -91,8 +121,8 @@
 
 Package: libkf5config-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: foreign
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
  parts: KConfigCore and KConfigGui.
@@ -141,8 +171,8 @@
  This package contains runtime files for KConfig.
 
 Package: libkf5config5-dbg
+Section: debug
 Priority: extra
-Section: debug
 Architecture: any
 Depends: libkf5configcore5 (= ${binary:Version}),
          libkf5configgui5 (= ${binary:Version}),
