## kconfig 5.18.0

=== debian/changelog ===
kconfig (5.18.0-0ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: malicious .desktop files (and others) would execute
    code (LP: #1839432).
    - debian/patches/CVE-2019-14744.diff: removes the affected feature as
      currently 'unused'.
    - CVE-2019-14744

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Aug 2019 08:29:29 +0100

kconfig (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:18:56 +0100

kconfig (5.16.0-1) unstable; urgency=medium

  * Move ConfigCompiler cmake files to the -bin-dev package.
  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:30 +0100

kconfig (5.15.0-0ubuntu3) UNRELEASED; urgency=medium

  * Fix merge madness.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 11 Nov 2015 19:15:41 -0800

kconfig (5.15.0-2~) UNRELEASED; urgency=medium

  [ Maximiliano Curia ]
  * Move ConfigCompiler cmake files to the -bin-dev package.

  [ Scarlett Clark ]
  * Everything is failing due to a lack of kconf_update binary
    needed at buildtime. Adding libkf5config-bin as a depend
    to libkf5config-dev ranther than updating every package 
    with the build dependency. 

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 Oct 2015 15:17:21 +0100

kconfig (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:15:54 +0200

kconfig (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:32 +0100

kconfig (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:47:48 +0200

kconfig (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * Update symbols files from buildds logs (5.12.0-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Aug 2015 14:44:13 +0200

kconfig (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Update install files.
  * Update symbols files (Closes: #791727)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:42:54 +0200
