=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: kconfig
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kconfig
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kconfig.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kconfig.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
 
 Package: libkf5config-dev
 Section: libdevel
@@ -170,31 +169,3 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains runtime files for KConfig.
-
-Package: libkf5config5-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libkf5configcore5 (= ${binary:Version}),
-         libkf5configgui5 (= ${binary:Version}),
-         ${misc:Depends}
-Description: configuration settings framework for Qt
- KConfig provides an advanced configuration system. It is made of two
- parts: KConfigCore and KConfigGui.
- .
- KConfigCore provides access to the configuration files themselves. It
- features:
- .
-  - centralized definition: define your configuration in an XML file
-  and use `kconfig_compiler` to generate classes to read and write
-  configuration entries.
-  - lock-down (kiosk) support.
- .
- KConfigGui provides a way to hook widgets to the configuration so
- that they are automatically initialized from the configuration and
- automatically propagate their changes to their respective
- configuration files.
- .
- This package is part of KDE Frameworks 5.
- .
- This package contains the debugging files.
