=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.26.0~),
+               extra-cmake-modules (>= 5.28.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.5.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/frameworks/kconfig
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kconfig.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kconfig.git
 
 Package: libkf5config-dev
 Section: libdevel
@@ -23,7 +23,7 @@
          libkf5config-bin-dev (= ${binary:Version}),
          libkf5configcore5 (= ${binary:Version}),
          libkf5configgui5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4),
+         qtbase5-dev (>= 5.5.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: configuration settings framework for Qt
@@ -46,6 +46,12 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development files.
+Breaks: libkf5completion-dev (<< 5.28),
+        libkf5configwidgets-dev (<< 5.28),
+        libkf5notifications-dev (<< 5.28),
+        libkf5service-dev (<< 5.28),
+        libkf5wallet-dev (<< 5.28),
+        libkf5xmlgui-dev (<< 5.28)
 
 Package: libkf5config-bin-dev
 Section: libdevel
@@ -94,6 +100,21 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains KConfigGui.
+Breaks: frameworkintegration (<< 5.28),
+        libkf5completion5 (<< 5.28),
+        libkf5configwidgets5 (<< 5.28),
+        libkf5kdelibs4support5 (<< 5.28),
+        libkf5kiofilewidgets5 (<< 5.28),
+        libkf5kiowidgets5 (<< 5.28),
+        libkf5newstuff5 (<< 5.28),
+        libkf5plasma5 (<< 5.28),
+        libkf5quickaddons5 (<< 5.28),
+        libkf5texteditor5 (<< 5.28),
+        libkf5textwidgets5 (<< 5.28),
+        libkf5webkit5 (<< 5.28),
+        libkf5xmlgui5 (<< 5.28),
+        plasma-framework (<< 5.28),
+        qml-module-org-kde-kquickcontrols (<< 5.28)
 
 Package: libkf5configcore5
 Architecture: any
@@ -117,6 +138,52 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains KConfigCore.
+Breaks: baloo-kf5 (<< 5.28),
+        frameworkintegration (<< 5.28),
+        kded5 (<< 5.28),
+        kgendesignerplugin (<< 5.28),
+        kinit (<< 5.28),
+        kio (<< 5.28),
+        kpackagetool5 (<< 5.28),
+        libkf5activitiesstats1 (<< 5.28),
+        libkf5baloo5 (<< 5.28),
+        libkf5bookmarks5 (<< 5.28),
+        libkf5completion5 (<< 5.28),
+        libkf5configwidgets5 (<< 5.28),
+        libkf5declarative5 (<< 5.28),
+        libkf5emoticons5 (<< 5.28),
+        libkf5globalaccelprivate5 (<< 5.28),
+        libkf5iconthemes5 (<< 5.28),
+        libkf5kcmutils5 (<< 5.28),
+        libkf5kdelibs4support5 (<< 5.28),
+        libkf5kdelibs4support5-bin (<< 5.28),
+        libkf5khtml-bin (<< 5.28),
+        libkf5khtml5 (<< 5.28),
+        libkf5kiocore5 (<< 5.28),
+        libkf5kiofilewidgets5 (<< 5.28),
+        libkf5kiowidgets5 (<< 5.28),
+        libkf5newstuff5 (<< 5.28),
+        libkf5notifications5 (<< 5.28),
+        libkf5notifyconfig5 (<< 5.28),
+        libkf5package5 (<< 5.28),
+        libkf5parts5 (<< 5.28),
+        libkf5peoplewidgets5 (<< 5.28),
+        libkf5plasma5 (<< 5.28),
+        libkf5plasmaquick5 (<< 5.28),
+        libkf5quickaddons5 (<< 5.28),
+        libkf5runner5 (<< 5.28),
+        libkf5service5 (<< 5.28),
+        libkf5style5 (<< 5.28),
+        libkf5su5 (<< 5.28),
+        libkf5texteditor5 (<< 5.28),
+        libkf5wallet-bin (<< 5.28),
+        libkf5wallet5 (<< 5.28),
+        libkf5xmlgui-bin (<< 5.28),
+        libkf5xmlgui5 (<< 5.28),
+        plasma-framework (<< 5.28),
+        qml-module-org-kde-activities (<< 5.28),
+        qml-module-org-kde-extensionplugin (<< 5.28),
+        qml-module-org-kde-kquickcontrolsaddons (<< 5.28)
 
 Package: libkf5config-data
 Architecture: all
@@ -148,7 +215,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
 Replaces: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
-Multi-Arch: foreign
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
  parts: KConfigCore and KConfigGui.
